ReferenceWallet protocol
Cancel a named debit
The RGS calls POST /rollback on the casino's wallet.
POST
/rollbackAuthorization
signature X-Signature<token>
Hex HMAC-SHA256 of "timestamp\nMETHOD\npath\nsha256(body)". A response signs "timestamp\nstatus\npath\nsha256(body)".
In: header
Header Parameters
X-Key-Id*string
X-Timestamp*string
Unix seconds
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/rollback" \ -H "X-Key-Id: string" \ -H "X-Timestamp: string" \ -H "Content-Type: application/json" \ -d '{ "transactionId": "string", "targetTransactionId": "string", "roundId": "string", "playerId": "string", "currency": "string" }'{ "status": "ok", "balance": 9000000, "operatorTxId": "tx-1", "alreadyProcessed": false}